:root {
    --fc-button-bg-color: #008cad;
    --fc-button-border-color: #008cad;
}

.dark :root {
    --fc-list-event-hover-bg-color: #404040 !important;
}

.fc-scrollgrid th[role='presentation'] {
    background-color: transparent;
}

.dark .fc .fc-list-day>* {
    background-color: #1d1d1d;
}

.dark .fc .fc-list-event:hover td {
    background-color: #2b2b2b;
}

.tippy-box[data-theme~='teal'] {
    background-color: #008cad;
    color: white;
}

.tippy-box[data-theme~='teal'][data-placement^='top']>.tippy-arrow::before {
    border-top-color: #008cad;
}

#loading {
    position: fixed;
    z-index: 999;
    top: calc(50% - 30px);
    left: calc(50% - 30px);
    border: 6px solid #008cad;
    border-top-color: color-mix(in srgb, #008cad, transparent 90%);
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: animate-loading 1s linear infinite;
}

@keyframes animate-loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}